#
# spec file for package gap-radiroot
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-radiroot
Summary:        GAP: Roots of a Polynomial as Radicals
Version:        2.7
Release:        lp151.2.1
License:        GPL-2.0
Group:          Productivity/Scientific/Math
URL:            http://www.icm.tu-bs.de/ag_algebra/software/distler/radiroot/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/radiroot-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-alnuth >= 2.2.3
Requires:       gap-core >= 4.4

%description
The package can compute and display an expression by radicals for the
roots of a solvable, rational polynomial. Related to this it is
possible to create the Galois group and the splitting field of a
rational polynomial.

%prep
%setup -qn radiroot

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Thu Sep 14 2017 jengelh@inai.de
- Update to new upstream release 2.7
  * Fixed bug in output regarding the powers of the root of unity.
  * Coefficients in representations of cyclics elements in the
    output are now reduced.
* Fri May 10 2013 jengelh@inai.de
- Split radiroot (version 2.6) off the gap RPM package
